#include <gtk/gtk.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <dirent.h> 
#include <unistd.h>

#define VERSION "0.72"

	//rico_GTK-Themes
	        GtkWidget *main_window;
		GtkWidget *main_box, *top_box, *bottom_box, *scrollwindow;
		GtkWidget *combo, *ok_button, *exit_button;

	//misc
		char gtkrc[255], gtkrc2[255], gtkrc_orig_string[255], gtkrc_bak_string[255], path[255], path_rc[255];;
		char character, *sel_theme;
		int i;
		struct dirent *entry;

		DIR *directory;
		FILE *rc_file, *gtkrc_orig, *gtkrc_bak, *config_file;
	        GList *items = NULL;

#include "misc.c"
		
int main(int argc, char *argv[])
{	gtk_init(&argc, &argv);
        
        main_box = gtk_vbox_new(FALSE,0);
	top_box = gtk_vbox_new(FALSE,0);
	bottom_box = gtk_hbox_new(TRUE,0);
	
	main_window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_widget_set_uposition(main_window, 50, 50);
	gtk_widget_set_usize(main_window, 318,70);
        gtk_window_set_title(GTK_WINDOW (main_window), ("rico_GTK-Theme-Selector "VERSION));
        gtk_container_set_border_width(GTK_CONTAINER(main_window), 8);

	combo = gtk_combo_new();
	
        ok_button = gtk_button_new_with_label("Apply");
	gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(apply), NULL);
		
        exit_button = gtk_button_new_with_label("Close");
	gtk_signal_connect(GTK_OBJECT(exit_button), "clicked", GTK_SIGNAL_FUNC(gtk_main_quit), NULL);
	gtk_signal_connect_object(GTK_OBJECT(main_window), "destroy", GTK_SIGNAL_FUNC(gtk_main_quit), GTK_OBJECT(main_window));
			
        gtk_box_pack_start(GTK_BOX(top_box), combo, FALSE, TRUE, 2);
	gtk_box_pack_start(GTK_BOX(bottom_box), ok_button, FALSE, TRUE, 2);
	gtk_box_pack_start(GTK_BOX(bottom_box), exit_button, FALSE, TRUE, 2);
	
        gtk_box_pack_start(GTK_BOX(main_box), top_box, TRUE, TRUE, 0);
        gtk_box_pack_start(GTK_BOX(main_box), bottom_box, FALSE, TRUE, 0);
	gtk_container_add(GTK_CONTAINER(main_window), main_box);
        gtk_widget_show_all(main_window);
	
	load_config();
	scan_for_themes();
	
	gtk_main();
return(0);
}
